# Enroll a customer (deprecated) As of July 2023, this route has been replaced with a stub response and will soon be deprecated. The confirm_enrollment status no longer exists and, once approved by Resolve, customers will either be enrolled (if they applied through an application) or pending_enrollment (if credit checked). Endpoint: POST /customers/{customer_id}/enroll Version: V5 Security: basicAuth ## Path parameters: - `customer_id` (string, required) ID of the customer to enroll ## Response 200 fields (application/json): - `id` (string) Example: "PMMlaE5wbg0" - `created_at` (string) Date the customer was created. Example: "2020-01-01T00:00:00.750Z" - `updated_at` (string) Date the customer was last updated. Example: "2020-01-01T00:00:00.750Z" - `source` (string) Enum: "QUICKBOOKS", "MERCHANT_USER", "ADMIN_USER", "APPLICATION", "CUSTOMER_USER", "API" - `business_address` (string) Street address of the business' primary location. Example: "111 Main Street" - `business_city` (string) City of the business' primary location. Example: "San Francisco" - `business_state` (string) State or province of the business' primary location. Example: "CA" - `business_zip` (string) US zip code of the business' primary location. Example: "94104" - `business_country` (string) Country of the business' primary location according to the ISO 3166-1 alpha 2 standard. Example: "US" - `business_age_range` (string) String indicating age of the business in years. Enum: "0-2", "2-5", "5-10", "10+" - `business_ap_email` (string) Email address of the business' accounts payable person or department. Example: "ap@example.com" - `business_ap_phone` (string) Phone number of the business' accounts payable person or department. Example: "(202) 456-1414" - `business_ap_phone_extension` (string) Phone number extension of the business' accounts payable person or department. Example: "123" - `business_name` (string) Full legal name of the business being applied for. Example: "Example, Inc." - `business_trade_name` (string) Trade name of the business, if different than business_name. Example: "Example Trading Company" - `business_phone` (string) Phone number of the business' primary location. Example: "(202) 456-1414" - `business_type` (string) String indicating the business' type of legal entity. Enum: "sole_prop_or_partnership", "llc", "corporation", "nonprofit", "government" - `email` (string) Email of the customer applying for terms. Example: "user@example.com" - `personal_name_first` (string) First name of the person applying on behalf of the business. Example: "James" - `personal_name_last` (string) Last name of the person applying on behalf of the business. Example: "Bond" - `personal_phone` (string) Personal phone number of the customer representative applying for terms. Example: "(202) 456-1414" - `amount_approved` (integer) Total amount of the credit approved. Example: 10000 - `amount_authorized` (integer) Amount of the credit line reserved for authorized charges. Example: 10000 - `amount_available` (integer) Current amount of the credit line available for purchases. Example: 10000 - `amount_balance` (integer) Current balance on the customer's credit line. Example: 2000 - `amount_unapplied_payments` (integer) Current amount of a customer's unapplied payments. Example: 1000 - `default_terms` (string,null) Set default terms that will apply to this customer's invoices. Can be overridden when requesting an advance. Enum: "net7", "net10", "net10th", "net15", "net20", "net30", "net45", "net60", "net75", "net90", "net120", "net180", null - `advance_rate` (number,null) The advance rate that will be used to determine the amount advanced for this customer's invoices. Example: 0.75 - `credit_status` (string,null) Current credit status of this customer. See #request-a-credit-check for more details. Enum: "approved", "hold", "declined", "pending", "deactivated", null - `net_terms_status` (string,null) Current net terms enrollment status of this customer. See #fetchCustomer for more details. Enum: "enrolled", "pending_enrollment", "enrollment_expired", null - `net_terms_enrollment_url` (string,null) The URL for a customer to complete enrollment requirements when net_terms_status is pending_enrollment. See #fetchCustomer for more details. Example: "www.app.resolvepay.com/merchant-id/activate/123456" - `net_terms_enrollment_expires_at` (string,null) The date by which the customer must be enrolled in this net terms offer, not null when net_terms_status is pending_enrollment. Example: "2020-01-01T00:00:00.750Z" - `credit_check_requested_at` (string,null) The date a credit check was requested. Example: "2020-01-01T00:00:00.750Z" - `archived` (boolean) Boolean indicating if customer is archived. - `duns_number` (string,null) Dun & Bradstreet unique nine-digit identifier for businesses that is associated with a business's Live Business Identity Example: "00-123-4567" - `credit_decisions` (array) Array of credit decisions made for this customer. - `credit_decisions.id` (string) Unique identifier for the credit decision. Example: "abc123" - `credit_decisions.created_at` (string) Date the credit decision was created. Example: "2020-01-01T00:00:00.750Z" - `credit_decisions.decision` (string) The credit decision outcome. Enum: "approved", "declined", "hold", "line_adjustment", "deactivate" - `credit_decisions.amount` (integer) The credit amount approved. Example: 10000 - `credit_decisions.advance_rate` (number) The advance rate for this credit decision. Example: 0.75 - `credit_decisions.decline_code` (string,null) Code indicating reason for decline, if applicable. Enum: "no_business_found", "thin_file", "failing_credit", "not_approved_need_more_info", "sole_prop", "applicant_business_association", "merchant_risk", "fraud", "no_us_address", "duplicate", "test_account", "email_verification_freemail", "email_verification_domain", "address_verification", "poor_cash_flow", "additional_info_not_provided", "other" - `credit_decisions.hold_code` (string,null) Code indicating reason for hold, if applicable. Enum: "past_due", "failed_payment", "requested_by_customer", "requested_by_merchant", "dispute", "fraud", "churned", "payment_plan", "inactive", "other" ## Response 401 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "Invalid merchant credentials" - `error.type` (string) A short string, describing error type Enum: "authentication_error" ## Response 404 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "[entity] not found" - `error.type` (string) A short string, describing error type Enum: "not_found_error" ## Response 422 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "[Invalid request message]" - `error.type` (string) A short string, describing error type Enum: "invalid_request" ## Response 429 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "Too many requests" - `error.type` (string) A short string, describing error type Enum: "rate_limit_error"